#include <iostream>
#include <fstream>
#include <cmath>
#include <string>

using namespace std;

int main()
{
	ofstream fout("wires.ftable");
	float sins[12], coss[12];
	for (int i = 0;i<12;i++)
	{
		sins[i] = sin(float(i) / 6.0 * M_PI);
		coss[i] = cos(float(i) / 6.0 * M_PI);
	}

	// plane ring
	for (int x = 0;x<12;x += 2)
	{
		fout << sins[x] << endl;
		fout << coss[x] << endl;
		fout << 0 << endl;
	}

	for (int x = 0;x<6;x++)
	{
		for (int z = 0;z<6;z++)
		{
			fout << sins[(x * 2)] * (coss[(z * 2) + 1]) << endl;
			fout << coss[(x * 2)] * (coss[(z * 2)+ 1]) << endl;
			fout << sins[(z * 2) + 1] << endl;
		}
	}
	fout.close();
	return 0;
}
